# FindAndPickScanningMode class

Configuration of the Find and Pick barcode scanning mode.

Inheritance
  - Object
  - BarcodeUseCase
  - FindAndPickScanningMode

## Constructors

FindAndPickScanningMode.new({ScanbotColor? scanningCompletedColor, ScanbotColor? scanningPartiallyColor, ScanbotColor? scanningNotScannedColor, bool allowPartialScan = false, List<ExpectedBarcode>? expectedBarcodes, int countingRepeatDelay = 1000, Sheet? sheet, SheetContent? sheetContent, ManualCountEditDialog? manualCountEditDialog, ArOverlayFindAndPickConfiguration? arOverlay, bool partialScannedAlertDialogEnabled = true, ScanbotAlertDialog? partialScannedAlertDialog, bool confirmationAlertDialogEnabled = false, ScanbotAlertDialog? confirmationAlertDialog})
FindAndPickScanningMode.fromJson(Map<String, dynamic> json)
  factory

## Properties

allowPartialScan ↔ bool
  If the user is allowed to finish the scanning process without scanning all the expected barcodes.
  getter/setter pair
arOverlay ↔ ArOverlayFindAndPickConfiguration
  Configuration of the AR overlay.
  getter/setter pair
confirmationAlertDialog ↔ ScanbotAlertDialog
  Configuration of the confirmation alert dialog.
  getter/setter pair
confirmationAlertDialogEnabled ↔ bool
  If the confirmation alert dialog is enabled.
  getter/setter pair
countingRepeatDelay ↔ int
  Time interval in milliseconds before a barcode is counted again. 0 = no delay. The default value is 1000.
  getter/setter pair
expectedBarcodes ↔ List<ExpectedBarcode>
  List of barcodes that the user has to find and scan.
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
manualCountEditDialog ↔ ManualCountEditDialog
  Configuration of the dialog to manually edit the barcode count.
  getter/setter pair
partialScannedAlertDialog ↔ ScanbotAlertDialog
  Configuration of the partial scanned alert dialog.
  getter/setter pair
partialScannedAlertDialogEnabled ↔ bool
  If the partial scanned alert dialog is enabled.
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
scanningCompletedColor ↔ ScanbotColor
  Color of the selected barcode.
  getter/setter pair
scanningNotScannedColor ↔ ScanbotColor
  Color of the not scanned barcode .
  getter/setter pair
scanningPartiallyColor ↔ ScanbotColor
  Color of the partially scanned barcode.
  getter/setter pair
sheet ↔ Sheet
  Configuration of the preview mode for the barcodes required to be found and scanned.
  getter/setter pair
sheetContent ↔ SheetContent
  Configuration of the list of barcodes required to be found and scanned.
  getter/setter pair

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson({ToJsonConfiguration? config}) → Map<String, dynamic>
  override
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited